## hevea 1.07

=== Makefile ===
--- 
+++ 
@@ -5,20 +5,24 @@
 LIBDIR=/usr/local/lib/hevea
 # Where to install programms
 BINDIR=/usr/local/bin
-# A replacement for /lib/cpp
-CPP=gcc -E -P -x c
+# C preprocessor with proper options (don't ask)
+CPP=cpp -E -P
+#Some alternatives...
+#CPP=/lib/cpp -E -P  (Old fashioned Unix)
+#CPP=gcc -E -P -x c  (If you have gcc)
+#CPP=cc --traditional-cpp -E -P -x c (repported to work on MacOsX by Georg)
 ############### End of configuration parameters
 SUF=
-#DIR=/usr/bin/
 DIR=
 HEVEA=./hevea.$(TARGET)
 ESPONJA=./esponja.$(TARGET)
 OCAMLC=${DIR}ocamlc$(SUF)
 OCAMLFLAGS=
-OCAMLCI=${DIR}ocamlc$(SUF)
+OCAMLCI=$(OCAMLC)
 OCAMLOPT=${DIR}ocamlopt$(SUF)
 OCAMLLEX=${DIR}ocamllex$(SUF)
 INSTALL=cp
+MKDIR=mkdir -p
 
 ONLYESPONJA=emisc.cmo buff.cmo htmllex.cmo htmlparse.cmo htmltext.cmo pp.cmo util.cmo explode.cmo ultra.cmo esponja.cmo
 
@@ -46,15 +50,15 @@
 	$(MAKE) $(MFLAGS) TARGET=byte hevea.byte hacha.byte esponja.byte cutfoot-fra.html cutfoot-eng.html
 
 install-lib:
-	-mkdir $(LIBDIR)
+	- $(MKDIR) $(LIBDIR)
 	$(INSTALL) hevea.sty cutfoot-fra.html cutfoot-eng.html footer.tex ${LIBDIR}
 	$(INSTALL) contents_motif.gif next_motif.gif previous_motif.gif ${LIBDIR}
 	$(INSTALL) $(ALLLIB) $(LIBDIR)
-	-mkdir  $(LIBDIR)/html
+	- $(MKDIR)  $(LIBDIR)/html
 	cd html ; $(INSTALL) $(HTMLLIB) $(LIBDIR)/html
-	-mkdir  $(LIBDIR)/text
+	- $(MKDIR)  $(LIBDIR)/text
 	cd text ; $(INSTALL) $(TEXTLIB) $(LIBDIR)/text
-	-mkdir $(LIBDIR)/info
+	- $(MKDIR) $(LIBDIR)/info
 	cd info ; $(INSTALL) $(INFOLIB) $(LIBDIR)/info
