## hevea 1.09

=== Makefile ===
--- 
+++ 
@@ -14,29 +14,28 @@
 ############### End of configuration parameters
 SUF=
 DIR=
-HEVEA=./hevea.$(TARGET)
-ESPONJA=./esponja.$(TARGET)
 OCAMLC=${DIR}ocamlc$(SUF)
 OCAMLFLAGS=
-#OCAMLFLAGS=-g -w Y
+#OCAMLFLAGS=-g -w ZY
 OCAMLCI=$(OCAMLC)
 OCAMLOPT=${DIR}ocamlopt$(SUF)
 OCAMLLEX=${DIR}ocamllex$(SUF) -q
 INSTALL=cp
 MKDIR=mkdir -p
 
-ONLYESPONJA=emisc.cmo buff.cmo htmllex.cmo htmlparse.cmo htmltext.cmo pp.cmo util.cmo explode.cmo ultra.cmo esponja.cmo
+ONLYESPONJA=emisc.cmo buff.cmo pp.cmo htmllex.cmo htmlparse.cmo htmltext.cmo util.cmo explode.cmo ultra.cmo esponja.cmo
 
-OBJS=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo element.cmo out.cmo table.cmo mylib.cmo parse_opts.cmo  myfiles.cmo symb.cmo save.cmo auxx.cmo  lexstate.cmo subst.cmo latexmacros.cmo counter.cmo noimage.cmo image.cmo length.cmo  get.cmo tabular.cmo htmlCommon.cmo htmlMath.cmo mathML.cmo html.cmo  text.cmo infoRef.cmo info.cmo section.cmo foot.cmo entry.cmo index.cmo colscan.cmo color.cmo hot.cmo package.cmo videoc.cmo verb.cmo latexscan.cmo zyva.cmo $(ONLYESPONJA) latexmain.cmo
-OBJSCUT=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo  out.cmo thread.cmo cross.cmo mylib.cmo section.cmo length.cmo save.cmo cut.cmo cutmain.cmo
+OBJS=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo  element.cmo out.cmo table.cmo mylib.cmo parse_opts.cmo  myfiles.cmo outUnicode.cmo save.cmo auxx.cmo  lexstate.cmo subst.cmo latexmacros.cmo counter.cmo noimage.cmo image.cmo length.cmo  get.cmo tabular.cmo htmlCommon.cmo htmlMath.cmo mathML.cmo html.cmo  text.cmo infoRef.cmo info.cmo section.cmo foot.cmo entry.cmo index.cmo colscan.cmo color.cmo hot.cmo package.cmo videoc.cmo verb.cmo latexscan.cmo zyva.cmo $(ONLYESPONJA) latexmain.cmo
+OBJSCUT=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo  out.cmo cutOut.cmo thread.cmo cross.cmo mylib.cmo section.cmo length.cmo save.cmo cut.cmo cutmain.cmo
 OBJSESPONJA=mysys.cmo stack.cmo location.cmo $(ONLYESPONJA)  esponjamain.cmo
+OBJSBIBHVA=bibhva.cmo
 
 GENSRC=colscan.ml cut.ml entry.ml get.ml latexscan.ml length.ml save.ml tabular.ml videoc.ml verb.ml infoRef.ml subst.ml htmllex.ml
 
 OPTS=$(OBJS:.cmo=.cmx)
 OPTSCUT=$(OBJSCUT:.cmo=.cmx)
 OPTSESPONJA=$(OBJSESPONJA:.cmo=.cmx)
-
+OPTSBIBHVA=$(OBJSBIBHVA:.cmo=.cmx)
 include libs.def
 
 all: $(TARGET)
@@ -45,10 +44,10 @@
 install: install-$(TARGET)
 
 opt:
-	$(MAKE) $(MFLAGS) TARGET=opt hevea.opt hacha.opt esponja.opt
+	$(MAKE) $(MFLAGS) TARGET=opt hevea.opt hacha.opt esponja.opt bibhva.opt
 
 byte:
-	$(MAKE) $(MFLAGS) TARGET=byte hevea.byte hacha.byte esponja.byte
+	$(MAKE) $(MFLAGS) TARGET=byte hevea.byte hacha.byte esponja.byte bibhva.byte
 
 install-lib:
 	- $(MKDIR) $(DESTDIR)/$(LATEXLIBDIR)
@@ -63,14 +62,16 @@
 	- $(MKDIR) $(DESTDIR)/$(LIBDIR)/info
 	cd info ; $(INSTALL) $(INFOLIB) $(DESTDIR)/$(LIBDIR)/info
 	$(INSTALL) imagen $(DESTDIR)/$(LIBDIR)
-
-
+	$(INSTALL) xxcharset.exe xxdate.exe $(DESTDIR)/$(LIBDIR)
+	- $(MKDIR)  $(DESTDIR)/$(LIBDIR)/mappings
+	cp mappings/*.map $(DESTDIR)/$(LIBDIR)/mappings
 
 install-opt: install-lib
 	- $(MKDIR) $(DESTDIR)/$(BINDIR)
 	$(INSTALL) hevea.opt $(DESTDIR)/$(BINDIR)/hevea
 	$(INSTALL) hacha.opt $(DESTDIR)/$(BINDIR)/hacha
 	$(INSTALL) esponja.opt $(DESTDIR)/$(BINDIR)/esponja
+	$(INSTALL) bibhva.opt $(DESTDIR)/$(BINDIR)/bibhva
 	$(INSTALL) imagen $(DESTDIR)/$(BINDIR)
 
 install-byte: install-lib
@@ -78,6 +79,7 @@
 	$(INSTALL) hevea.byte $(DESTDIR)/$(BINDIR)/hevea
 	$(INSTALL) hacha.byte $(DESTDIR)/$(BINDIR)/hacha
 	$(INSTALL) esponja.byte $(DESTDIR)/$(BINDIR)/esponja
+	$(INSTALL) bibhva.byte $(DESTDIR)/$(BINDIR)/bibhva
 	$(INSTALL) imagen $(DESTDIR)/$(BINDIR)
 
 
@@ -90,6 +92,9 @@
 esponja.byte: ${OBJSESPONJA}
 	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSESPONJA}
 
+bibhva.byte: ${OBJSBIBHVA}
+	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSBIBHVA}
+
 hevea.opt: ${OPTS}
 	${OCAMLOPT} -o $@ ${OPTS}
 
@@ -99,11 +104,17 @@
 esponja.opt: ${OPTSESPONJA}
 	${OCAMLOPT} -o $@ ${OPTSESPONJA}
 
+bibhva.opt: ${OPTSBIBHVA}
+	${OCAMLOPT} -o $@ ${OPTSBIBHVA}
+
 mylib.cmo: mylib.ml mylib.cmi
 	${OCAMLC} ${OCAMLFLAGS} -pp 'sed -e "s,LIBDIR,${LIBDIR},g"' -c mylib.ml
 
 mylib.cmx: mylib.ml mylib.cmi
 	${OCAMLOPT} -pp 'sed -e "s,LIBDIR,${LIBDIR},g"' -c mylib.ml
+
+fmt_map: fmt_map.cmo
+	${OCAMLC} -o fmt_map fmt_map.cmo
 
 .SUFFIXES:
 .SUFFIXES: .ml .cmo .mli .cmi .c .mll .cmx 
@@ -129,7 +140,7 @@
 
 clean: cleanbyte
 	rm -f *.byte *.opt
-	rm -f $(GENSRC)
+	rm -f $(GENSRC) fmt_map.ml
 	rm -f *.o *.cmi *.cmo *.cmx *.o *.ppo *.ppi
 	rm -f *~ #*# html/*~ html/#*# text/*~ text/#*# info/*~ info/#*#
