=== debian/changelog ===
hevea (1.10-14) unstable; urgency=low

  * Rebuild with ocaml 3.12.1 (no source changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 20:30:23 +0100

hevea (1.10-13) unstable; urgency=low

  * Convert to dh, drop dependency on cdbs, install gif.hva via dh_install.
    Bump dependency on debhelper
  * Use dh_ocaml (>= 0.9) to get binary dependencies in variable
    ${ocaml:Depends} (closes: 599311).
  * Bump Standards-Version to 3.9.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Apr 2011 19:01:56 +0200

hevea (1.10-12) unstable; urgency=low

  [ Stéphane Glondu ]
  * debian/control: update my e-mail address

  [ Ralf Treinen ]
  * Remove Zack from uploaders on his request.
  * Patch gs-options: call gs with additional options -P- -dSAFER
    (closes: #584009)

 -- Ralf Treinen <treinen@debian.org>  Tue, 01 Jun 2010 20:18:49 +0200

hevea (1.10-11) unstable; urgency=low

  * Standards-Version 3.8.4 (no change)
  * Recompiled with ocaml 3.11.2
  * Do not use asterisks in debian/NEWS to separate items.

 -- Ralf Treinen <treinen@debian.org>  Mon, 08 Feb 2010 00:02:31 +0100

hevea (1.10-10) unstable; urgency=low

  * Standards-version 3.8.3 (no change)
  * Source format 3.0 (quilt):
    - add debian/sources/format
    - drop build-dependency on dpatch
    - no more patching in debian/rules
    - rename patches quilt-style
  * removed dependency on obsolete tetex-bin

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Jan 2010 20:48:14 +0100

hevea (1.10-9) unstable; urgency=low

  * debian/rules: added call to dh_installtex in the post deb preparation
    stage (closes: 536833).

 -- Ralf Treinen <treinen@debian.org>  Tue, 21 Jul 2009 19:00:20 +0200

hevea (1.10-8) unstable; urgency=low

  [ Ralf Treinen ]
  * Update standards-version to 3.8.1 (no change)
  * Update DH level, and build-dependency on debhelper, to 7
  * Rebuild with ocaml 3.11.1

  [ Stephane Glondu ]
  * Switch packaging to git

 -- Ralf Treinen <treinen@debian.org>  Wed, 24 Jun 2009 20:53:48 +0200

hevea (1.10-7) unstable; urgency=low

  [ Ralf Treinen ]
  * switch to cdbs build system, build-depend on cdbs and dh-ocaml
  * Standards-Version 3.8.0 (no change).
  * Dependencies: switch order in "tetex-bin|texlive-base"
  * Dependencies: changed "gs" to "ghostscript"
  * Renamed debian/dirs -> debian/hevea.dirs
  * Add debian/hevea.{manpages,examples}
  * Switch build-dependency on ocaml back to >= 3.07
  
  [ Stephane Glondu ]
  * Remove Julien from Uploaders

 -- Ralf Treinen <treinen@debian.org>  Sun, 22 Feb 2009 22:56:49 +0100

hevea (1.10-6) experimental; urgency=low

  * Rebuild with OCaml 3.11.0
  * Add myself to Uploaders

 -- Stephane Glondu <steph@glondu.net>  Sun, 01 Feb 2009 12:09:02 +0100

hevea (1.10-5) unstable; urgency=low

  * Upload to unstable for ocaml 3.10.2

 -- Ralf Treinen <treinen@debian.org>  Sun, 18 May 2008 21:59:02 +0200

hevea (1.10-4) experimental; urgency=low

  * Recompile with ocaml 3.10.2.

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Feb 2008 08:40:46 +0100

hevea (1.10-3) unstable; urgency=low

  [ Ralf Treinen ]
  * debian/control: use Homepage field for upstream URL.
  * Recompile with ocaml 3.10.1
  * Update Uploaders.
  * Manpages: do not use .UR macro.
  * Standards-Version 3.7.3 (no change)

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Feb 2008 08:35:44 +0100

hevea (1.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Thu, 30 Aug 2007 20:44:23 +0200

hevea (1.10-1) experimental; urgency=low

  * New upstream version. This version
    - adds supports for UTF8 input encoding (closes: Bug#397496)
    - fixes a bug with the parsing of macro arguments (closes: Bug#405994)
  * Changed priority back to "optional" as package depends on the virtual
    package "gs".
  * debian/rules: new target "config.sh" due to modified upstream Makefile
  * debian/rules: dropped installation of xxdate.exe as this is now fixed in
    the upstream Makefile.
  * Dropped patch koi8r as this is now done by upstream
  * Patches 02_nogif: adapted to modified upstream
  * Dropped patch 03_charset: revert to upstream method of specifying the
    charset.

 -- Ralf Treinen <treinen@debian.org>  Mon, 27 Aug 2007 09:25:03 +0200

hevea (1.09-4) experimental; urgency=low

  * Rebuild for ocaml-3.10.
  * Use dh_installtex instead of hand-rolled post{inst,rm}. Build-depends
    on tex-common.
  * Lowered priority to extra as package depends on gs, which is of
    priority extra.
  * Do not ignore errors of "make clean" in "clean" target of debian/rules.

 -- Ralf Treinen <treinen@debian.org>  Wed, 04 Jul 2007 17:40:09 +0200

hevea (1.09-3) unstable; urgency=low

  * Fixed typos in debian/NEWS.

 -- Ralf Treinen <treinen@debian.org>  Sat,  6 Jan 2007 12:08:37 +0100

hevea (1.09-2) experimental; urgency=low

  * [Julien Cristau]
    - Remove inactive people from the Uploaders field.
  * [Ralf Treinen]
    - hevea manpage: removed "noiso" and "symbols" options, fixed spelling
      of "moreentities" option (closes: Bug#402064). Updated options
      "francais" (closes: Bug#402065). Added a note about deprecated options
      to NEWS.
    - Patch 04_koi8r.dpatch: KOI8-R inputencoding taken from experimental
      hevea version (closes: Bug#404474).

 -- Ralf Treinen <treinen@debian.org>  Wed,  3 Jan 2007 16:56:34 +0100
  

hevea (1.09-1) unstable; urgency=low

  * New upstream release (closes: Bug#394133)
  * updated upstream url in debian/control (package description) and 
    debian/watch.
  * Adapted patches to new upstream version.
  * Added manpage for bibhva.
  * Updated url of HeVeA homepage in manpages.
  * examples/bibtex: put all needed crossrefs and abbreviations into
    rewriting.bib; replace iso8859-1 characters by portable latex; fix
    Makefile to use bibhva and to uncompress rewriting.bib when necessary
  * Manpages: document the new command line options 


