=== debian/control ===
Source: hevea
Section: tex
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Remi Vanicat <vanicat@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends-Indep: ocaml-nox (>= 3.07)
Build-Depends: debhelper (>= 7.0.50~), tex-common, dh-ocaml (>= 0.9)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hevea.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hevea.git
Homepage: http://hevea.inria.fr/

Package: hevea
Architecture: all
Depends: ghostscript, netpbm(>=2:9.10-1), texlive-base ,
 ${ocaml:Depends}, ${misc:Depends}
Suggests: hevea-doc 
Description: translates from LaTeX to HTML, info, or text
 Its remarkable features are
  - It produces good output. Special symbols (like mathematical symbols) are
    translated into HTML entities which should be rendered by any graphical
    browser. Picture files are only generated on demand, for instance when
    translating graphics.
  - It is highly configurable through (La)TeX macros. Though aimed at
    LaTeX input it understands a fair subset of TeX' macro language.
  - It runs fast.
 .
 This version of HeVeA is patched to generate by default picture files
 in the PNG format instead of the GIF format.
