=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR = debian/hevea

%:
	dh $@ --with=ocaml,tex

override_dh_auto_configure:
	-rm config.sh
	$(MAKE) config.sh\
		DESTDIR=$(DEB_DESTDIR)\
		PREFIX=/usr\
		LIBDIR=/usr/share/hevea\
		LATEXLIBDIR=/usr/share/texmf/tex/latex/misc	

override_dh_auto_clean:
	$(MAKE) clean
	cd debian/examples; make clean

override_dh_auto_build:
	$(MAKE) byte

override_dh_auto_install:
	$(MAKE) install TARGET=byte
