## hevea 2.06

=== debian/changelog ===
hevea (2.06-2) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Mon, 06 May 2013 20:48:42 +0200

hevea (2.06-1) experimental; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Wed, 03 Apr 2013 08:17:48 +0200

hevea (2.03-1) experimental; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Mar 2013 19:15:46 +0100

hevea (2.02-1) experimental; urgency=low

  * New upstream release.
  * Standards-Version 3.9.4 (no change)
  * Long package description: drop the phrase concerning the patch replacing
    the default image format since this is no longer true (since version 2.0).
  * Bump build-dependency on ocaml to >=3.12, following upstream's README.

 -- Ralf Treinen <treinen@debian.org>  Wed, 30 Jan 2013 09:50:06 +0100

hevea (2.00-1) experimental; urgency=low

  * New upstream version
    - dropped patch nogif since upstream has now followed debian in using png
      as default image format.
    - dropped patch gs-options which is now applied by upstream.
  * debian/rules:
    - pass the DESTDIR variable in the install target, not in
      the configure target.
    - install target: remove usr/share/hevea/imagen, since upstream
      installs that file already in /usr/bin.
  * Add debian/hevea.links:
    - Link for /usr/bin/hevea from /usr/share/hevea. 
      Necessary since hevea excepts imagen to live in that directory.
  * Standards-version 3.9.3:
    - debian/copyright: migrate to machine-readable format 1.0
  * debian/control:
    - dropped Sylvain le Gall from uploaders, on his request.
  * debian/manpages/hevea.1:
    - dropped the paragraph on using a different default image format as
      upstream, since it no longer applies.
    - fixed a typo (missing space)
    - added the option -rsz
  * debian/manpages/hacha.1:
    - introduced subsections for different types of options
    - added options -rsz, -tocter, --help, -version.
    - fixed a typo (htmlcut -> hacha)
  * debian/manpages/imagen.1
    - dropped the paragraph on using a different default image format as
      upstream, since it no longer applies.
    - small improvements in description of options. 
  * debian/README.Debian
    - dropped this file, it no longer applies since debian and upstream now
      use the same default image format.

 -- Ralf Treinen <treinen@debian.org>  Wed, 26 Sep 2012 11:47:21 +0200
