=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Ralf Treinen <treinen@debian.org>,
  Remi Vanicat <vanicat@debian.org>,
  Samuel Mimram <smimram@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends-Indep: ocaml-nox (>= 3.07)
+Build-Depends-Indep: ocaml-nox (>= 3.12)
 Build-Depends: debhelper (>= 7.0.50~), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hevea.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
@@ -29,6 +28,3 @@
   - It is highly configurable through (La)TeX macros. Though aimed at
     LaTeX input it understands a fair subset of TeX' macro language.
   - It runs fast.
- .
- This version of HeVeA is patched to generate by default picture files
- in the PNG format instead of the GIF format.
