=== debian/changelog ===
hevea (2.09-2) unstable; urgency=low

  * Compile with OCaml 4.01.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2013 20:03:21 +0100

hevea (2.09-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Bump debhelper compat level to 9
  * Update Vcs-*

  [ Ralf Treinen ]
  * New upstream release
  * Now suggests texlive-latex-extra. Add a README.Debian that explains
    that it is needed to use the "toimage" enviroment of hevea. Also 
    add a note to examples/pictures/README.

 -- Ralf Treinen <treinen@debian.org>  Sun, 01 Sep 2013 20:29:41 +0200

hevea (2.06-3) experimental; urgency=low

  * Compile with OCaml >= 4
  * Bump debhelper compat level to 9
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 16:05:05 +0200
