=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  Remi Vanicat <vanicat@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends-Indep: ocaml-nox (>= 3.12)
-Build-Depends: debhelper (>= 7.0.50~), tex-common, dh-ocaml (>= 0.9)
+Build-Depends-Indep: ocaml-nox (>= 4)
+Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hevea.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hevea.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
 
 Package: hevea
 Architecture: all
 Depends: ghostscript, netpbm(>=2:9.10-1), texlive-base ,
  ${ocaml:Depends}, ${misc:Depends}
-Suggests: hevea-doc 
+Suggests: hevea-doc, texlive-latex-extra 
 Description: translates from LaTeX to HTML, info, or text
  Its remarkable features are
   - It produces good output. Special symbols (like mathematical symbols) are
