## hevea 2.16

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,7 @@
 DIR=
 OCAMLC=$(DIR)ocamlc$(SUF)
 #OCAMLFLAGS=-w +a-4-9 -warn-error +a
-OCAMLFLAGS=-w +a-4-9
-OCAMLCI=$(OCAMLC)
-OCAMLOPT=$(DIR)ocamlopt$(SUF)
-OCAMLLEX=$(DIR)ocamllex$(SUF) -q
+OCAMLFLAGS=-w +a-4-9-41-45
 OCBFLAGS=-j 4 -classic-display
 
 #### End of configuration parameters
