=== debian/changelog ===
hevea (2.16-2) unstable; urgency=medium

  * debian/control: add XS-Testsuite

 -- Ralf Treinen <treinen@debian.org>  Tue, 08 Jul 2014 20:59:21 +0200

hevea (2.16-1) unstable; urgency=medium

  * New upstream version.
  * add debian/tests : run our test cases from debian/examples
  * debian/examples/bibtex/Makefile: uncompress bibtex file only when the
    compressed file exists.
  * Standards-version 3.9.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Thu, 19 Jun 2014 20:33:14 +0200
