## hevea 2.18

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,9 @@
 
 include libs.def
 
-config.sh: Makefile libs.def
-	@(echo PGM=\"$(PGM)\" &&\
+config.sh: Makefile libs.def handle402.sh
+	@( cat handle402.sh &&\
+	echo PGM=\"$(PGM)\" &&\
 	echo PGMNATIVE=\"$(PGMNATIVE)\" &&\
 	echo BINDIR=$(BINDIR) &&\
 	echo LIBDIR=$(LIBDIR) &&\
@@ -44,7 +45,7 @@
 	echo ALLLIB=\"$(ALLLIB)\" && \
 	echo HTMLLIB=\"$(HTMLLIB)\" && \
 	echo TEXTLIB=\"$(TEXTLIB)\" && \
-	echo INFOLIB=\"$(INFOLIB)\" ) > $@
+	echo INFOLIB=\"$(INFOLIB)\") > $@
 
 clean:: config.sh
 	sh ocb.sh clean && rm config.sh
