=== debian/changelog ===
hevea (2.18-1) unstable; urgency=medium

  * New upstream version.
  * patch config-ocaml-4.02: create symlinks to bytes.ml{i} in a separate
    script invoked by ocb.sh, instead by config.sh which is invoked by the
    clean target of the Makefile.

 -- Ralf Treinen <treinen@debian.org>  Sun, 05 Oct 2014 20:53:22 +0200
