=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends-Indep: ocaml-nox (>= 4)
 Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
+XS-Testsuite: autopkgtest
 
 Package: hevea
 Architecture: all
