=== debian/tests/control ===
Tests: examples
Depends: @, texlive-latex-base
Restrictions: allow-stderr
