## hevea 2.23

=== debian/changelog ===
hevea (2.23-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 02 Nov 2015 14:51:58 -0500

hevea (2.23-2) unstable; urgency=medium

  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 07:32:10 +0200

hevea (2.23-1) unstable; urgency=low

  * New upstream release
  * Improved package tests, using ${adttmp} and ${adt_artifacts}
  * debian/hevea.install: drop gif.hva since it is now installed by upstream
  * drop debian/hevea.examples. Install both our own, and upstream examples,
    via debian/hevea.install
  * Fix a typo in package description (TeX') (closes: #773681).
  * Standards-Version 3.9.6 (no change).

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 May 2015 21:05:13 +0200
