=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends-Indep: ocaml-nox (>= 4)
 Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
@@ -27,5 +27,5 @@
     browser. Picture files are only generated on demand, for instance when
     translating graphics.
   - It is highly configurable through (La)TeX macros. Though aimed at
-    LaTeX input it understands a fair subset of TeX' macro language.
+    LaTeX input it understands a fair subset of TeX's macro language.
   - It runs fast.
