## hevea 2.28

=== debian/changelog ===
hevea (2.28-1) unstable; urgency=medium

  * New upstream version
  * Drop patch config-ocaml-4.02 which is no longer needed.
  * Standards-Version 3.9.7 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 14 Mar 2016 20:36:55 +0100
