=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends-Indep: ocaml-nox (>= 4)
 Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
