=== debian/changelog ===
hevea (2.29-1) unstable; urgency=medium

  [Rémi Vanicat]
  * removed Rémi Vanicat from uploaders.

  [Ralf Treinen]
  * new upstream release
  * d/control: dropped obsolete XS-Testsuite
  * d/control: update Vcs-{Git,Browser} fields
  * Standards-Version 3.9.8 (no change)
  * hacha manpage (debian): fix two typos

 -- Ralf Treinen <treinen@debian.org>  Thu, 22 Sep 2016 21:36:11 +0200
