=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
- Remi Vanicat <vanicat@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends-Indep: ocaml-nox (>= 4)
 Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.7
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/hevea.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
-XS-Testsuite: autopkgtest
 
 Package: hevea
 Architecture: all
