=== debian/tests/control ===
Tests: examples
Depends: @, texlive-latex-base
