## hevea 2.30

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DIR=
 OCAMLC=$(DIR)ocamlc$(SUF)
 #OCAMLFLAGS=-w +a-4-9 -warn-error +a
-OCAMLFLAGS=-w +a-4-9-41-45
+OCAMLFLAGS=-w +a-3-4-9-41-45
 OCBFLAGS=-j 4 -classic-display
 
 #### End of configuration parameters
