=== debian/changelog ===
hevea (2.30-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version 4.1.0 (no change)
  * Drop obsolete version constraint on build-dependency dh-ocaml

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 Sep 2017 21:12:51 +0200

hevea (2.29-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends-Indep
  * Bump Standards-Version to 4.0.0
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 14:52:12 +0200
