=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends-Indep: ocaml-nox (>= 4)
-Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.8
+Build-Depends-Indep: ocaml-nox (>= 4), ocamlbuild
+Build-Depends: debhelper (>= 10), tex-common, dh-ocaml
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/hevea.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
@@ -17,7 +17,7 @@
 Architecture: all
 Depends: ghostscript, netpbm(>=2:9.10-1), texlive-base ,
  ${ocaml:Depends}, ${misc:Depends}
-Suggests: hevea-doc, texlive-latex-extra 
+Suggests: hevea-doc, texlive-latex-extra
 Description: translates from LaTeX to HTML, info, or text
  Its remarkable features are
   - It produces good output. Special symbols (like mathematical symbols) are
