## hevea 2.32

=== debian/changelog ===
hevea (2.32-2) unstable; urgency=medium

  * Honour the SOURCE_DATE_EPOCH environment variable (closes: #870585):
    - Patch source_date_epoch, based on a patch by Johannes Schauer (thanks!),
      but leaves the timezone untouched when SOURCE_DATE_EPOCH is not set.
    - Mention that environment variable in our hevea(1) manpage.
    - add a test case.
  * Standards-Version 4.2.1 (no change)
  * Debian/changelog: remove some trailing whitespace

 -- Ralf Treinen <treinen@debian.org>  Wed, 05 Dec 2018 20:10:40 +0100

hevea (2.32-1) unstable; urgency=medium

  * New upstream version
  * Update Vcs-* to salsa
  * Merge Build-Depends-Indep into Build-Depends; since we build only
    one binary package this distinction is useless.
  * Standards-Version 4.2.0 (no change)
  * debhelper compatibility level 11

 -- Ralf Treinen <treinen@debian.org>  Wed, 08 Aug 2018 15:47:17 +0200
