=== debian/control ===
--- 
+++ 
@@ -6,11 +6,14 @@
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends-Indep: ocaml-nox (>= 4), ocamlbuild
-Build-Depends: debhelper (>= 10), tex-common, dh-ocaml
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/hevea.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/hevea.git
+Build-Depends: debhelper (>= 11),
+ tex-common,
+ dh-ocaml,
+ ocaml-nox (>= 4),
+ ocamlbuild
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/ocaml-team/hevea
+Vcs-Git: https://salsa.debian.org/ocaml-team/hevea.git
 Homepage: http://hevea.inria.fr/
 
 Package: hevea
