=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 override_dh_auto_configure:
 	-rm config.sh
 	$(MAKE) config.sh\
-		DESTDIR=$(DEB_DESTDIR)\
 		PREFIX=/usr\
 		LIBDIR=/usr/share/hevea\
 		LATEXLIBDIR=/usr/share/texmf/tex/latex/misc	
@@ -21,7 +20,5 @@
 	$(MAKE) byte
 
 override_dh_auto_install:
-	$(MAKE) install TARGET=byte
-
-
-
+	$(MAKE) install TARGET=byte DESTDIR=$(DEB_DESTDIR)
+	-rm $(DEB_DESTDIR)/usr/share/hevea/imagen
